# monitor.c File Reference

`#include "magick/studio.h"`
`#include "magick/image.h"`
`#include "magick/log.h"`
`#include "magick/monitor.h"`

## Functions

MagickExport MagickProgressMonitor | SetImageProgressMonitor (Image *image, const MagickProgressMonitor progress_monitor, void *client_data)
MagickExport MagickProgressMonitor | SetImageInfoProgressMonitor (ImageInfo *image_info, const MagickProgressMonitor progress_monitor, void *client_data)

## Function Documentation

MagickExport MagickProgressMonitor SetImageInfoProgressMonitor | ( | ImageInfo * | image_info,
|  | const MagickProgressMonitor | progress_monitor,
|  | void * | client_data |
| ) |  |  |

MagickExport MagickProgressMonitor SetImageProgressMonitor | ( | Image * | image,
|  | const MagickProgressMonitor | progress_monitor,
|  | void * | client_data |
| ) |  |  |